Subject: bug#64088: [PATCH] Make project-root for vc projects return an absolute path

From: Dmitry Gutov <[email-masked]>
Date: Sat, 17 Jun 2023 05:43:58 +0300

On 16/06/2023 08:52, Eli Zaretskii wrote:
>> One concrete bug
>> caused by this is that (project-forget-project "~/some/path") would
>> work but (project-forget-project "/home/user/some/path") would not.
> That problem is simple to solve where it happens, no?  That is,
> project-forget-project should try looking not just for the literal
> root, but also for its expanded and abbreviated forms, and that's all.

Alternatively, we could force-convert it to one or the other form when 
saving a new value to the list. Then we'd only need to convert a 
searches value to one of the forms.